package com.activiti6.service.activiti;


import com.activiti6.domain.ProcessInstanceCheckFrom;
import com.activiti6.domain.ProcessInstanceCommitFrom;
import com.activiti6.domain.TableDataInfo;
import com.activiti6.domain.TreeVo;

import java.util.List;
import java.util.Map;

public interface ProcessInstanceService {
    TableDataInfo list();

    void suspendProcess(String processInstanceId, Integer status);

    void deleteProcess(String processInstanceId);

    void transToOffice(String taskId, String userId);

    void entrust(String taskId, String userId);

    List<TreeVo> listTask(String processInstanceId);

    List<TreeVo> listUser();

    void deleteProcess(List<String> list);

    String commit(ProcessInstanceCommitFrom processInstanceCommitFrom);

    Map<String,String> check(ProcessInstanceCheckFrom processInstanceCommitFrom);

    String recommit(ProcessInstanceCommitFrom processInstanceCommitFrom);
}
